# we have older version of coffee-script in fedora
%global enable_tests 1
%global module_name error-ex

Name:           nodejs-%{module_name}
Version:        1.3.0
Release:        3%{?dist}
Summary:        Easy error subclassing and stack customization

License:        MIT
URL:            https://github.com/Qix-/node-error-ex
Source0:        https://github.com/Qix-/node-%{module_name}/archive/%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(coffee-script)
BuildRequires:  npm(is-arrayish)
BuildRequires:  npm(istanbul)
BuildRequires:  npm(should)
%endif

%description
%{summary}.

%prep
%setup -q -n node-%{module_name}-%{version}
%nodejs_fixdep is-arrayish "^0.3.0"
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --compilers coffee:coffee-script/register
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Mon Feb 29 2016 Tom Hughes <tom@compton.nu> - 1.3.0-3
- Update npm(is-arraish) dependency
- Enable tests

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 20 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.3.0-1
- update to 1.3.0

* Fri Sep 25 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.1.1-1
- Initial packaging

